
%global meadversion 1.0.8
%global namedversion 1.0.8.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.0.8.Final-redhat-1

Name:    jboss-remote-naming
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:   0
Summary: Library for remote naming (JNDI) with JBoss AS
License: LGPLv2.1
Group:   Development/Libraries/Java

%if %with mead
Source100: jboss-remote-naming-1.0.8.Final-redhat-1-scm-sources.zip
Source102: jboss-remote-naming-1.0.8.Final-redhat-1.pom
Source103: jboss-remote-naming-1.0.8.Final-redhat-1-sources.jar
Source104: jboss-remote-naming-1.0.8.Final-redhat-1.jar
Source105: jboss-remote-naming-1.0.8.Final-redhat-1-javadoc.jar
%endif

URL:     https://github.com/jbossas/jboss-remote-naming.git

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{namedversion}-%{release}-root

Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         jpackage-utils
BuildRequires:    jpackage-utils
%if 0
Requires: jboss-parent >= 0:11
Requires: jboss-ejb-client
Requires: jboss-marshalling
Requires: jboss-xnio-base
Requires: jboss-remoting3
Requires: jboss-sasl
Requires: jboss-logging
%endif


%description
Library for remote naming (JNDI) with JBoss AS.

%package javadoc
Summary:  Javadocs for %{name}
Group:    Documentation

Requires: jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# depmaps
%add_to_maven_depmap org.jboss %{name} %{namedversion} JPP %{name}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion} -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{namedversion}.jar
%{_javadir}/%{name}.jar
%exclude %{_javadir}/%{name}-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}-javadoc.jar
%{_javadir}/%{name}-%{namedversion}-sources.jar
%{_javadir}/%{name}-sources.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%if %with javadoc
%files javadoc
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%{_javadir}/%{name}-%{namedversion}-javadoc.jar
%{_javadir}/%{name}-javadoc.jar
%endif

%changelog
* Thu Feb 13 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.8-1.Final_redhat_1.1
- Upgrade to 1.0.8.Final

* Fri Jul 12 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.7-1.Final_redhat_1
- Upgrade to 1.0.7.Final

* Fri Apr 26 2013 Paul Gier <pgier@redhat.com> - 0:1.0.6-2.Final_redhat_2
- Minor pom patch update for eap 6.1.0 GA

* Wed Apr 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.6-1.Final_redhat_1
- Upgrade to 1.0.6.Final

* Sat Feb 16 2013 Lin Gao <lgao@redhat.com> - 0:1.0.5-1.Final_redhat_1
- Upgrade to 1.0.5.Final
- Fix JPP errors
- Add javadoc subpackage

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.4-2.Final_redhat_1.1
- Rebuild for MD5

* Mon Aug 27 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.4-1.Final_redhat_1.1
- Upgrade to 1.0.4.Final

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_2.6
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_2.5
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.4
- Rebuild using cache signing

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.3
- Rebuild using cache signing

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.1
- Rebuild using cache signing

* Fri May 04 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0.3-1.Final_redhat_1
- Upgrade to 1.0.3.Final-redhat-1

* Tue Mar 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.Final_redhat_1.1
- Upgrade to 1.0.2.Final-redhat-1

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.3
- Rebuild to fix symlinks

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.2
- Remove R: jboss-logging-tools
- Upgrade to new wrapper

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.1
- First build
